App\Library\Amazon\Classes\LaundryAppliance:
    xml_root_name: LaundryAppliance
    properties:
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        clothesCapacity:
            expose: true
            access_type: public_method
            serialized_name: ClothesCapacity
            accessor:
                getter: getClothesCapacity
                setter: setClothesCapacity
            type: string
        compatibleDevice:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevice
            accessor:
                getter: getCompatibleDevice
                setter: setCompatibleDevice
            type: string
        counterDepth:
            expose: true
            access_type: public_method
            serialized_name: CounterDepth
            accessor:
                getter: getCounterDepth
                setter: setCounterDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        dryerPowerSource:
            expose: true
            access_type: public_method
            serialized_name: DryerPowerSource
            accessor:
                getter: getDryerPowerSource
                setter: setDryerPowerSource
            type: string
        isPortable:
            expose: true
            access_type: public_method
            serialized_name: IsPortable
            accessor:
                getter: getIsPortable
                setter: setIsPortable
            type: boolean
        maxRotationSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaxRotationSpeed
            accessor:
                getter: getMaxRotationSpeed
                setter: setMaxRotationSpeed
            type: App\Library\Amazon\Classes\RotationSpeedDimensionType
        optionCycles:
            expose: true
            access_type: public_method
            serialized_name: OptionCycles
            accessor:
                getter: getOptionCycles
                setter: setOptionCycles
            type: integer
        standardCycles:
            expose: true
            access_type: public_method
            serialized_name: StandardCycles
            accessor:
                getter: getStandardCycles
                setter: setStandardCycles
            type: integer
